<?php

//--------------------------------------------
//--------------------------------------------
//--------------------------------------------
function CalendarWeek($date,$format='Y-m-d') {
//
// Determines the calendar week associated with the parameter $date.
// Expects $date in string format 'YYYY-MM-DD'.
   // Extract year, month and day from parameter:
   list($year,$month,$day) = explode('-', $date);
   // Generate UNIX timestamp without hour,min,sec info:
   $timestamp = mktime(0,0,0, $month, $day, $year);
   // dto. for January 1st of current year:
   $timestamp_Jan1st =mktime(0,0,0, 1, 1, $year);
   // Get offset between Jan 1st and the preceding Sunday ("w" determines weekday):
   $JanuaryDayOffset = date("w", $timestamp_Jan1st)-1;
   // debugging only:
//echo "<br>Jan 1st is $JanuaryDayOffset days from the preceding Sunday!";
   // Add January offset in days to current date (norm the date into 7-day week):
   $timestamp = $timestamp+(86400 * $JanuaryDayOffset);
   // Calculate number of the day:
   $doy = date("z", $timestamp);
   // Modulo division by 7 gets week number:
   $week = (int)($doy / 7);
   // Error occurs sometimes (e.g. for '2002-12-30'):
   if ( $week > 51 ) $week = 0;
   return ($week+1);
}


//--------------------------------------------
//--------------------------------------------
//--------------------------------------------
function listFilesInDir($start_dir)
    {
    
    /*
    returns an array of files (*.conf) in $start_dir (not recursive)
    */
        
    $files = array();
    $dir = opendir($start_dir);
    while(($myfile = readdir($dir)) !== false)
        {
        if($myfile != '.' && $myfile != '..' && eregi('.conf',$myfile) )
            {
            $files[] = $myfile;
            }
        }
    closedir($dir);
    
    sort ($files);
    
    return $files;
    }



//--------------------------------------------
//--------------------------------------------
//--------------------------------------------
function draw_printerlistbox ()
{
// draw a box with valid printers

global $default_printer;

// get printerlist from the system
$cmd = "lpstat -a | cut -f1 -d\" \"";
$dummy = exec($cmd,$arr_printer, $return_value);

sort ($arr_printer);

echo "      <select name=\"sel_printer\" size=\"1\">\n";

for ($i = 0; $i <= count($arr_printer); $i++) {

	if (stristr($arr_printer[$i],trim($default_printer))) {
		echo "        <option value=\"$arr_printer[$i]\" selected>$arr_printer[$i]</option>\n";
	} else {
		echo "        <option value=\"$arr_printer[$i]\">$arr_printer[$i]</option>\n";
	}
}
echo "      </select>";
}
//-----------------------------------





?>
